Subject: Re: [bug#37443] [PATCH] scripts: pull: Add options for generation management

From: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Sep 2019 14:35:13 +0200

zimoun <[email-masked]> skribis:

> On Thu, 19 Sep 2019 at 13:57, Ludovic Courtès <[email-masked]> wrote:
>>
>> Konrad Hinsen <[email-masked]> skribis:
>>
>> > Ludovic Courtès <[email-masked]> writes:
>
>> Also, now that we finally have “guix install” & co., which is really
>> what users expect, I feel less of an incentive for a catch-all “guix
>> profile” command.
>>
>> Maybe we need more of these aliases, though, like “guix show”.
>
> "guix show" would be nice.
> But I did not feel a lot of enthusiasm about it. ;-)
> https://lists.gnu.org/archive/html/guix-devel/2019-07/msg00264.html

I’m enthusiastic every time I type “guix package --show=”, believe me.
;-)

> Something nicer should be to have aliases defined by the user.

Yes, that too.

>> >  - Everything that operates on "guix" (the software, including the
>> >    package definitions) starts with "itself":
>> >
>> >      guix itself update  (today's "guix pull")
>> >      guix itself roll-back
>>
>> It’s a another instance where the categorization you propose makes sense
>> to me, but as a command I’d have to type, it’s not something I like.
>
> Me neither. :-)
>
> And "guix itself" fixes implicitly the profile to
> ~/.config/guix/current and maybe people are doing "non-conventional"
> stuff as "guix pull -p ~/.guix-profile --list-generations".
>
> "guix pull --list-generations" should be aliased to "guix log"
> "guix pull --delete-generations" -> "guix log --delete-generations"
> "guix pull --switch-generations" -> "guix log --switch-generations"
> "guix pull --news" -> "guix log --news"

Though “guix log” is ambiguous: it could mean

  guix pull -l

or:

  guix package -l

or:

  guix build --log-file

Naming is hard!

Ludo’.